Skip to main content

Discover all volumes with relationships for a list of systems

Discovers all volumes with relationships for a list of systems, providing visibility into existing volume relationships across the specified systems. Use this to assess or manage linked volumes within your backup and recovery workflows.

HTTP method and endpoint

POST /account/{accountId}/providers/cloudmanager_cbs/api/v2/working-environment/discover/volumes

Token usage

NetApp Console user token.

Parameters

Name Type In Required Description

accountId

string

path

True

Account ID

authorization

string

header

True

User token

X-Agent-Id

string

header

True

Request identifier

Request Body

Name Type Required Description

workingEnvironmentIds

array[string]

False

discoverRelationships

boolean

False

discoverObjectStores

boolean

False

Example request
{
  "workingEnvironmentIds": [
    "string"
  ]
}

Response

Status: 202, Default Response
Name Type Required Description

job-id

string

False

Example response
{
  "job-id": "string"
}